# HG changeset patch
# User fds <fdasilvayy@gmail.com>
# Date 1368197625 -7200
# Node ID f6c3e219648f47eaa65ab43a8189af31f7babc69
# Parent  7ffe7f3be4045dbc7478248370b473271660e473
Missing call to ngx_ssl_ecdh_curve in mail_ssl_module

diff -r 7ffe7f3be404 -r f6c3e219648f src/mail/ngx_mail_ssl_module.c
--- a/src/mail/ngx_mail_ssl_module.c	Thu May 09 10:54:28 2013 +0200
+++ b/src/mail/ngx_mail_ssl_module.c	Fri May 10 16:53:45 2013 +0200
@@ -308,6 +308,10 @@
         return NGX_CONF_ERROR;
     }
 
+    if (ngx_ssl_ecdh_curve(cf, &conf->ssl, &conf->ecdh_curve) != NGX_OK) {
+        return NGX_CONF_ERROR;
+    }
+
     ngx_conf_merge_value(conf->builtin_session_cache,
                          prev->builtin_session_cache, NGX_SSL_NONE_SCACHE);
 
